enum FeatureFlag {
  logger;

  static FeatureFlag fromString(String value) => FeatureFlag.values
      .firstWhere((e) => e.name == value.toLowerCase().trim());

  static FeatureFlag? fromStringOr(String value, {FeatureFlag? or}) {
    try {
      return FeatureFlag.values
          .firstWhere((e) => e.name == value.toLowerCase().trim());
    } catch (_) {
      return or;
    }
  }

  @override
  String toString() => name;
}
