import 'package:flutter/material.dart';

class {{#pascalCase}}{{project_name}}{{/pascalCase}}Scaffold extends StatelessWidget {
  const {{#pascalCase}}{{project_name}}{{/pascalCase}}Scaffold({
    required this.body,
    super.key,
    this.title,
    this.fabChildren,
  });

  final Widget? title;
  final Widget body;
  final List<Widget>? fabChildren;

  @override
  Widget build(BuildContext context) => Scaffold(
        appBar: AppBar(title: title),
        body: body,
        floatingActionButton: (fabChildren?.isNotEmpty ?? false)
            ? Column(
                mainAxisAlignment: MainAxisAlignment.end,
                crossAxisAlignment: CrossAxisAlignment.end,
                children: fabChildren!,
              )
            : null,
      );
}
